import { useParams } from "react-router-dom";
import { MyProfile } from "./MyProfile";
import { OtherProfile } from "./OtherProfile";
import { usePublicKey } from "@/app/providers/AccountProvider/usePublicKey";

export function Profile() {
    const params = useParams();
    const publicKey = usePublicKey();
    
    return (
        <>
            {params.id == "me" || params.id == publicKey ? <MyProfile></MyProfile> :
            <OtherProfile publicKey={params.id!}></OtherProfile>}
        </>
    );
}